from setuptools import setup, find_packages
import os

version = '0.2a'

setup(name='collective.editablesvg',
      version=version,
      description="A Plone content type for SVG graphics, that is editable through the web.",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from
      # http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Framework :: Plone",
        "Programming Language :: Python",
        ],
      keywords='',
      author='Dominik Ruf',
      author_email='dominikruf@gmail.com',
      url='https://bitbucket.org/domruf/collective.editablesvg',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['collective'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'plone.app.dexterity',
          'collective.autopermission',
          'plone.namedfile[blobs]',
          'reportlab',
          'svglib',
          'plone.app.registry',
          'collective.js.jqueryui',
      ],
      entry_points="""
      # -*- Entry points: -*-

      [z3c.autoinclude.plugin]
      target = plone
      """,
      )
